#
# spec file for package yast2-storage (Version 2.13.69)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx blocxx-devel boost bzip2 coreutils cpio cpp cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib dbus-1-mono dejagnu desktop-translations device-mapper diffutils docbook-xsl-stylesheets docbook_4 doxygen e2fsprogs evms expat expect file filesystem fillup findutils flex gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hwinfo info insserv iproute2 klogd less libacl libattr libcom_err libgcc libgcrypt libgpg-error libicu libidn libnscd libpng libstdc++ libstdc++-devel libtool libusb libxcrypt libxcrypt-devel libxml2 libxml2-devel libxslt liby2util liby2util-devel libzio libzypp libzypp-zmd-backend m4 make man mktemp module-init-tools mono-core mono-data mono-web ncurses ncurses-devel net-tools netcfg openldap2-client openssl openssl-devel pam pam-modules patch pcre pcre-devel perl perl-URI perl-XML-Parser perl-XML-Writer perl-gettext permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm rug sablot sed sgml-skel sqlite strace suseRegister swig sysconfig sysfsutils sysvinit tar tcl tcpd texinfo timezone unzip update-desktop-files util-linux vim wireless-tools yast2 yast2-core yast2-core-devel yast2-devtools yast2-hardware-detection yast2-installation yast2-perl-bindings yast2-pkg-bindings yast2-testsuite zlib zlib-devel zmd

Name:           yast2-storage
Version:        2.13.69
Release:        0.2
License:        GPL
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-storage-2.13.69.tar.bz2
prefix:		/usr
BuildRequires:  blocxx-devel docbook-xsl-stylesheets doxygen evms gcc-c++ libxcrypt-devel libxslt openssl-devel perl-XML-Writer sablot sgml-skel swig update-desktop-files yast2 yast2-devtools yast2-installation yast2-perl-bindings yast2-testsuite
Requires:       yast2 parted yast2-installation yast2-storage-lib yast2-perl-bindings
%ifarch s390 s390x
Requires:       yast2-s390
%endif
Provides:       y2a_fdsk yast2-config-disk
Obsoletes:      y2a_fdsk yast2-config-disk
Provides:       yast2-agent-fdisk yast2-agent-fdisk-devel
Obsoletes:      yast2-agent-fdisk yast2-agent-fdisk-devel
Provides:       yast2-trans-inst-partitioning
Obsoletes:      yast2-trans-inst-partitioning
Provides:       y2t_inst-partitioning
Obsoletes:      y2t_inst-partitioning
Summary:        YaST2 - Storage Configuration

%description
This package contains the files for YaST2 that handle access to disk
devices during installation and on an installed system.



%debug_package
%prep
%setup -n yast2-storage-2.13.69

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
# storage
%dir /usr/share/YaST2/include/partitioning
/usr/share/YaST2/include/partitioning/*.ycp
%dir /usr/share/YaST2/include/storage
/usr/share/YaST2/include/storage/*.ycp
/usr/share/YaST2/clients/inst_custom_part.ycp
/usr/share/YaST2/clients/inst_lvm_lv.ycp
/usr/share/YaST2/clients/inst_resize_ui.ycp
/usr/share/YaST2/clients/inst_disk.ycp
/usr/share/YaST2/clients/inst_lvm_pv.ycp
/usr/share/YaST2/clients/inst_target_part.ycp
/usr/share/YaST2/clients/inst_do_resize.ycp
/usr/share/YaST2/clients/inst_part_proposal.ycp
/usr/share/YaST2/clients/inst_target_selection.ycp
/usr/share/YaST2/clients/inst_prepdisk.ycp
/usr/share/YaST2/clients/storage_finish.ycp
/usr/share/YaST2/clients/partitions_proposal.ycp
/usr/share/YaST2/clients/controller.ycp
/usr/share/YaST2/clients/disk.ycp
/usr/share/YaST2/clients/lvm_config.ycp
/usr/share/YaST2/clients/lvm_config_ui.ycp
/usr/share/YaST2/clients/create_udev_cdrom.ycp
/usr/share/YaST2/modules/*
%dir /usr/share/YaST2/data
/usr/share/YaST2/data/*.ycp
%doc %dir %{prefix}/share/doc/packages/yast2-storage
%doc %{prefix}/share/doc/packages/yast2-storage/README*
%doc %{prefix}/share/doc/packages/yast2-storage/COPY*
%doc %{prefix}/share/doc/packages/yast2-storage/autodocs
# agents-scr
/usr/share/YaST2/scrconf/*.scr
# libstorage ycp callbacks
%{_libdir}/YaST2/plugin/libpy2StorageCallbacks.so.*
%{_libdir}/YaST2/plugin/libpy2StorageCallbacks.so
%{_libdir}/YaST2/plugin/libpy2StorageCallbacks.la
# disk
%dir %{prefix}/share/applications/YaST2
%{prefix}/share/applications/YaST2/disk.desktop
%{prefix}/share/applications/YaST2/lvm_config.desktop
%ifnarch s390 s390x
%{prefix}/share/applications/YaST2/controller.desktop
%endif
# scripts
%{prefix}/lib/YaST2/bin/check.boot
%{prefix}/lib/YaST2/bin/create_udev_cdrom_rules
/usr/sbin/create_udev_cdrom_rules
# perl bindings of libstorage
%{perl_vendorarch}/LibStorage.so
%package evms
Requires:       yast2-storage = %version
Summary:        YaST2 - Storage Configuration EVMS
Group:          System/YaST

%description evms
This package contains the files that handle EVMS configuration within
YaST2.




%files evms
%defattr(-,root,root)
%{prefix}/lib/YaST2/bin/evms_access
/usr/share/YaST2/clients/inst_evms.ycp
%package lib
Requires:       blocxx
Summary:        YaST2 - Storage Configuration Library
Group:          System/YaST

%description lib
This package contains the library used by YaST2 to access disk devices
during installation and on an installed system.




%files lib
%defattr(-,root,root)
%{_libdir}/liby2storage.so*
%package devel
Requires:       blocxx-devel libstdc++-devel
Summary:        YaST2 - Storage Library Headers and Documentation
Group:          System/YaST

%description devel
This package contains the files for YaST2 that are needed of one wants
to develop a program using libstorage.




%files devel
%defattr(-,root,root)
%{_libdir}/liby2storage.la
%{prefix}/include/YaST2
%doc %{prefix}/share/doc/packages/yast2-storage/examples
%doc %{prefix}/share/doc/packages/yast2-storage/libstorage

%changelog -n yast2-storage
* Mon Jun 19 2006 - fehr@suse.de
- fix problem of removal of created primary parition numbering (#183747)
- fix order of checks for changed geometry and max cyl (#185049)
- version 2.13.69
* Mon Jun 12 2006 - fehr@suse.de
- handle translation of udev names during update (#182065)
- version 2.13.68
* Tue Jun 06 2006 - fehr@suse.de
- purge start of newly create partitions thet will be part of LVM or
  EVMS (#179074)
- handle EVMS over MD in Storage::GetRootInitrdModules (#167943)
- version 2.13.67
* Thu Jun 01 2006 - fehr@suse.de
- fix problem while creating an encrypted loop (#180347)
- fix problem handling used by in EVMS containers
- fix problems with PV removal in LVM (#180411)
- use log level of evms.conf when opening EVMS engine
- fix bugs within EVMS over MD (#167943)
- version 2.13.66
* Tue May 30 2006 - fehr@suse.de
- add missing dupDash call in LV handling
- fix dm name to lvm name handling in ycp code
* Mon May 29 2006 - fehr@suse.de
- rename duplicate parameter name in header of Partition.h (#179300)
* Mon May 22 2006 - fehr@suse.de
- handle container detected by both EVMS and LVM as LVM (#177043)
- version 2.13.65
* Thu May 18 2006 - fehr@suse.de
- fix sort order of prep partition (#176728)
- add pid to libstorage log lines
- do not try to load hb2 plugin when activating EVMS (#176605)
- version 2.13.64
* Tue May 16 2006 - fehr@suse.de
- fix bug in handling LVM as root device (#175434)
- fix bugs handling deletion of disk label
* Mon May 15 2006 - fehr@suse.de
- also soft ignore disks used as cdrom install media (#173214)
- fix handling of unpartitionable devices in XEN
- allow generic dm devices as PVs in LVM VGs
- version 2.13.63
* Thu May 11 2006 - fehr@suse.de
- fix bug in resizing partitions while others are created (#174826)
- soft ignore disks used as install media in proposal (#173214)
- add preliminary code for multipath detection
* Wed May 10 2006 - fehr@suse.de
- allow DM device as part of sotware raids
- fix wrong dialog handling when called in repair mode (#173446)
- remove MD based multipathing support
- fix bug in handling whole disks as part of EVMS container (#174294)
- prefer non-native disks on iseries but do not completely
  ignore native disks (#166378)
- version 2.13.62
* Tue May 09 2006 - fehr@suse.de
- additional fixes for generic dm devices
- version 2.13.61
* Mon May 08 2006 - fehr@suse.de
- fix wrong warning text on deletion of extended partition (#173406)
- add edd module to INITRD_MODULES if it is loaded
- improve support for generic dm devices
- version 2.13.60
* Fri May 05 2006 - fehr@suse.de
- patch proofread texts back into ycp
- zero last 32k of volume to be formatted (#164867)
- version 2.13.59
* Wed May 03 2006 - fehr@suse.de
- disable check for boot size on macs (#170638)
- fix off-by-one max cylinder check (#171872)
- improve handling of unformatted DASD devices (#164930)
- version 2.13.58
* Thu Apr 27 2006 - fehr@suse.de
- call udevsettle instead of udev.count_events
- remove sole /dev/evms/md/ entries (#170075)
- move /boot lower in mount point proposal list
- prevent raid devices activated by EVMS breaking install (#170080)
- version 2.13.57
* Wed Apr 26 2006 - fehr@suse.de
- use evms log level from config file
- add needed changes to use md device as EVMS PVs
- fix crash in loop dialog creation
- make help text consistent with dialog text (#157162)
- version 2.13.56
* Tue Apr 25 2006 - fehr@suse.de
- do not prefer edd links in udev id (#169040)
- cope with obsolete entries in by-uuid and by-label
- version 2.13.55
* Mon Apr 24 2006 - fehr@suse.de
- fix problem with no valid evms devices at start (#167397)
- fix handlong of non-CDL formatted dasds (#164930)
- use same defaults options for formatted fat filesystems as
  for ones mounted automatically (#168646)
- fix problem of mounted detection with mount by UUID (#167960)
- fix problem of removal of LVM LV with /dev/md in name (#165089)
- version 2.13.54
* Thu Apr 20 2006 - fehr@suse.de
- set minimal reqired boot size to 800k (#162657)
- add entry for debugfs to /etc/fstab (#162214)
- version 2.13.53
* Wed Apr 19 2006 - fehr@suse.de
- add an improved fix for boot partition proposal on IA64 (#165554)
- fix problem with cciss devices and EVMS (#167397)
- version 2.13.52
* Tue Apr 18 2006 - fehr@suse.de
- change detection code to produce less debug output with large
  number of disks
- fix detecion problem with large number of SCSI or DASD disks (#165882)
- prevent trashing of volume labels containing / (#166903)
- use "DEVICE partitions" im mdadm.conf (#155120)
- version 2.13.51
* Thu Apr 13 2006 - fehr@suse.de
- add fix found by Changju Gao for a bug in checking minimal fs size
- version 2.13.50
* Wed Apr 12 2006 - fehr@suse.de
- handle Apple_Bootstrap like Apple_HFS (#158543)
- trigger udev update on format or label setting (#165192)
- do not try reusing boot partitions on IA64 (#165554)
- try reuse root without home on small disks
- fix problem with xvda disks under XEN
- add fstab entry for sysfs when needed during Update (#165502)
* Tue Apr 11 2006 - fehr@suse.de
- fix crash when bogus EVMS container is present (#163124)
- fix detection of duplicate lv names
- fix lost setting of crypt passwd when changing lv name (#163983)
- allow partition id 0x06 as boot partition in Prep (#162482)
* Mon Apr 10 2006 - fehr@suse.de
- fix bug in proposal handling partitions with "max_cyl" set (#158552)
- prevent superfluous boot partition on xen guests (#158552)
- version 2.13.49
* Mon Apr 10 2006 - fehr@suse.de
- correctly handle Cancel button on loop file creation (#163963)
- automatically use -F 32 on large FAT filesystems
- prevent destruction of target map if key is not there
- make proposal on disk used by LVM possible
- finally fix #159504 for large disks
- version 2.13.48
* Thu Apr 06 2006 - fehr@suse.de
- fix usage of whole disk in EVMS after removal of disk label (#162945)
- fix problems during enlarging logical partitions (#162766, #162995)
- correctly recognize hfs boot partition on mac (#163706)
- fix handling of devices in subdirectories in EVMS config
- use dasdview, now handle LDL and CDL formatted dasd
- suppresse loop evms compatible volumes (#163601)
- version 2.13.47
* Wed Apr 05 2006 - fehr@suse.de
- fix missing creation of boot partition in proposal (#163387)
- prevent failing mount/format due to evms usage of partitions (#163951)
- prevent redundant activations of evms entities
- do not use options acl,user_xattr for xfs (#163658)
- fix problem when sharing EVMS container and normal filesystem
  on the same disk
- set up exclude devices list in evms.conf (#162242)
- make setting swap label to empty work (#162884)
- remove obsolete code
- version 2.13.46
* Tue Apr 04 2006 - fehr@suse.de
- fix handling of cciss device (#162515)
* Mon Apr 03 2006 - fehr@suse.de
- check if swapon succeeds before using swap partitions (#161335)
- add Storage::RemoveDmMapsTo for usage by bootloader (#162242)
- use correct default fstab options when resuing partition (#162510)
- fix various bugs handling complete disk with mac label (#161751)
- version 2.13.45
* Thu Mar 30 2006 - fehr@suse.de
- prevent reuse of partitions already used by other entities
- wait for udev activity to be finished after calls to
  "dmsetup remove ..." (#162279)
- version 2.13.44
* Thu Mar 30 2006 - fehr@suse.de
- fix random crashes during volume removal
- version 2.13.43
* Wed Mar 29 2006 - fehr@suse.de
- fix problems of EVMS non-EVMS coexistence
- version 2.13.42
* Wed Mar 29 2006 - fehr@suse.de
- fix logging initialisation in inst-sys
- version 2.13.41
* Tue Mar 28 2006 - fehr@suse.de
- speed up detection of encryption type on large fs (#158950)
- version 2.13.40
* Tue Mar 28 2006 - fehr@suse.de
- prevent endless loop when computing proposal (#161288)
- add code to support xen devices (#151233)
- version 2.13.39
* Mon Mar 27 2006 - fehr@suse.de
- add script to create 65-cdrom.rules
- parted supports now flag raid on mac disklabel (#160084)
- fix handling of partition flagged primary in proposal (#158771)
- fix removal of existing boo partitions on ppc (#57903)
- version 2.13.38
* Thu Mar 23 2006 - fehr@suse.de
- disable/enable voluem handling in hal while partitioner is
  running (#153241)
- use lazy initialisation of libstorage in Storage.ycp (#143231)
- version 2.13.37
* Wed Mar 22 2006 - fehr@suse.de
- skip udev rules lines with empty path id (#159970)
- check for confilcts with vg name and /dev content (#160073)
- make libstorage handle dashes in LVM name correctly (#148957)
* Tue Mar 21 2006 - fehr@suse.de
- make xfs use the same default fstab options than other fs (#153127)
- prevent possibly overlapping partitons during resize (#159108)
- fix wrong handling when resetting a mount point (#155623)
- prevent hang in pvcreate on md device (#152738)
- prevent YaST2 from activating inactive loop device it has no
  password for (#148124)
- prevent wrong detecion of fstab content id udev id is empty
  (#157828)
* Mon Mar 20 2006 - fehr@suse.de
- fix setting empty label on xfs (#156985)
- skip setting raid type on mac disklabel, it fails (#134652)
- prevent having unused disk space after proposals (#159504)
- sort proposed created partitions to make manual changes more
  easily (#158237)
- clear partition table if using whole disk as PV, LVM tools
  are confused by gpt disk label (#156984)
* Thu Mar 16 2006 - fehr@suse.de
- fix problems with evms_access (#154379)
- 2.13.36
* Wed Mar 15 2006 - fehr@suse.de
- add changes needed to support added edd by-id link (#82867)
* Tue Mar 14 2006 - fehr@suse.de
- Consolidate fix by ug with my fix for #148352
- add ocfs2 and ntfs to fs list in EvmsAccess.cc
- only call updateFsData() in Disk::doCreate if format is set to
  false, this should make the recent changes in handling fs and
  detected_fs in Volume::getFsData() obsolete (#144595)
- remove /data mount points (#152201)
- prevent wrong default mount point for swap in LVM LV (#156669)
* Fri Mar 10 2006 - locilka@suse.cz
- patch proofread texts back into ycp
- 2.13.34
* Fri Mar 10 2006 - cihlarov@suse.cz
- extended help for volume label (#149047)
* Thu Mar 09 2006 - cgao@novell.com
- Stopped adding "deleted" win partitions (#153646+#153714)
- Initialized fs in  Volume::getFsData() (#155470)
- 2.13.35
* Thu Mar 02 2006 - ug@suse.de
- fstab fixed for floppy (#152078)
- 2.13.32
* Thu Mar 02 2006 - cgao@novell.com
- made Volume::getFsData not overriding fs types (#153646+#153714)
- updated BuildRequires
- 2.13.33
* Tue Feb 28 2006 - cgao@novell.com
- made checking of "/home" conditional (#150195)
- 2.13.31
* Thu Feb 23 2006 - ug@suse.de
- reverted fix for #144595 comment #16
  it breaks partitioning in some cases
- 2.13.30
* Tue Feb 21 2006 - ug@suse.de
- fix for the fix for reusing old partitions in autoyast
- 2.13.29
* Mon Feb 20 2006 - ug@suse.de
- 2.13.28
* Mon Feb 20 2006 - ug@suse.de
- fix for reusing old partitions in autoyast
* Sun Feb 19 2006 - jsrain@suse.de
- exclude controller.desktop on S/390 (#151107)
- 2.13.27
* Fri Feb 10 2006 - fehr@suse.de
- handle controller-dependent modules (#145827)
- 2.13.26
* Tue Feb 07 2006 - fehr@suse.de
- create 65-cdrom.rules also during update from 10.0 (#148525)
- prevent duplicated warning about BIOS raid
- 2.13.25
* Tue Feb 07 2006 - fehr@suse.de
- tweak debug output
- fix detection of filesystems mounted by label or uuid (#148374)
- dissallow "/" in label name (#148374)
- 2.13.24
* Mon Feb 06 2006 - fehr@suse.de
- add patch from Olaf for inst_predisk.ycp (#144773)
- remove calls to "/usr/sbin/gen-hwcfg-disk.sh" (#148244)
- use %%{perl_vendorarch} in path to LibStorage.so
- prevent shifted names of logical partitions confuse
  Storage::SetTargetMap (#148352)
- add win mount points also when selecting certain disk (#146464)
- 2.13.23
* Fri Feb 03 2006 - fehr@suse.de
- fix bug with accumulating mount point in import fstab (#147358)
- rearrange layout of fstab options dialog to save two lines (#147378)
* Thu Feb 02 2006 - fehr@suse.de
- fix bug with duplicated logical part number (#147620)
- add code that favors removal of plain linux partitions in proposal
- add code that tries harder to reuse existing partitions if possible
- 2.13.22
* Wed Feb 01 2006 - fehr@suse.de
- enable XFS support in UI again (#144595)
- check for install disks with non-gpt label in IA64 (#147196)
- fix invalid check when creating partitions (#147243)
- do not make boot partition increasable (#147244)
- rescan newly created partition for filesystem signature (#144595)
- fix problem with empty disk in target partitioner (#145326)
* Tue Jan 31 2006 - fehr@suse.de
- use env var LIBHD_HDDB_DIR when calling "hwinfo --map" (#120079)
- add missing text macro _() in custom_part_dialogs.ycp (#145412)
- fix possible wrong order of mount commands (#146838)
* Mon Jan 30 2006 - fehr@suse.de
- fix disabled LVM LVs when using read fstab (#145928)
- fix problem creating partitions if first partition small (#144520)
- replace all deprecated ycp find calls with search
- 2.13.21
* Thu Jan 26 2006 - fehr@suse.de
- make properties of not-yet-created cryptoloop partition editable
  (#130979)
- 2.13.20
* Wed Jan 25 2006 - fehr@suse.de
- initialize dasd geometry in constructor
- fix missing Popup when deleting/resizing partitions on readonly
  partition tables
- prevent possible problem with ycp interface to readFstab (#145123)
- fix proposal to also suggest resizing of win partitions (#145122)
- add lost win mount points in proposal again (#144767)
- fix detection of present loop devices, onknown to YaST2 (#141949)
- show popup while crypto type detection is running (#139364)
* Tue Jan 24 2006 - fehr@suse.de
- prevent invalid popup about changed fsid when reusing EFI parition
  on IA64 (#144576)
- prevent "division by zero" in do_proposal_flexible.ycp for reuse
* Mon Jan 23 2006 - fehr@suse.de
- prevent buggy popup in S390 (#144680)
- no entries for cdrom, zip and floppies in fstab any more (#144636)
- since there are no fstab entries any more, drop cdrom client
- patch proofread tests back into ycp
- make proposal on empty disk work again (#144517)
- make libstorage popups visible later and only during installation
  and when calling "yast2 disk" (#121698)
- 2.13.19
* Thu Jan 19 2006 - fehr@suse.de
- fix bugs in proposal for PPC Prep (#144046)
- 2.13.18
* Wed Jan 18 2006 - fehr@suse.de
- ignore readonly disks and all disks on S390 for proposal
- do never go into special one partition mode when whole disk
  selected in inst_target_part
- add code that handles adding USB modules to initrd if root fs
  is on usb-storage (#66733)
- allow mount by label for swap partitions (#128694)
* Tue Jan 17 2006 - fehr@suse.de
- add detection of Microsoft reserved partition on GPT (#143333)
- fix invalid handling of abort button (#143236)
- make popups with invalid partitions show up again (#135575)
- 2.13.17
* Mon Jan 16 2006 - fehr@suse.de
- fix proposal for VSCSI disks (bugzilla #57903/FATE 110079)
- disable XFS support in YaST2 UI (see FATE 110218)
- 2.13.16
* Mon Jan 16 2006 - fehr@suse.de
- proposal creates separate /home partition if possible (FATE 300336)
- 2.13.15
* Wed Jan 11 2006 - fehr@suse.de
- allow empty field in swap priority fstab option (#142011)
* Mon Jan 09 2006 - fehr@suse.de
- do not call module s390-disk-controller any more (#140936)
- 2.13.14
* Thu Dec 22 2005 - fehr@suse.de
- change target partitioner to be much more flexible (#94965)
- allow configurable creation of separate fs for /home (FATE 300336)
  in target partitioner
* Mon Dec 19 2005 - fehr@suse.de
- patch proofread texts back into ycp
- 2.13.13
* Thu Dec 15 2005 - fehr@suse.de
- allow disk devices without partitions as PVs with EVMS and LVM
- fix various bugs caused by conflicts between EVMS and LVM
- 2.13.12
* Wed Dec 14 2005 - fehr@suse.de
- improve coexistence of EVMS with non-EVMS
- 2.13.11
* Mon Dec 12 2005 - fehr@suse.de
- fix bug while resizing a fs with inactive mount point (#139581)
* Thu Dec 08 2005 - fehr@suse.de
- fix problem with more than 24 windows partitions (#137364)
- add infrastructure code for support of mount by udev path/id
* Thu Dec 01 2005 - arvin@suse.de
- adapted to new yast2-core
* Thu Nov 24 2005 - arvin@suse.de
- changed cdrom udev rules filename (bug #135342)
* Wed Nov 16 2005 - arvin@suse.de
- wait for udev after modifying partition flags (bug #120371)
* Thu Nov 10 2005 - fehr@suse.de
- improve handling of EVMS with partitions added/removed
- add patch by Uwe Gansert for AutoYaST
- prevent setting partition id on gpt partitions (#120371)
- 2.13.8
* Mon Nov 07 2005 - fehr@suse.de
- add handling of EVMS configuration in ycp and libstorage
- 2.13.7
* Wed Nov 02 2005 - arvin@suse.de
- use namespace storage almost everywhere in libstorage (bug
  [#131530])
- 2.13.6
* Thu Oct 27 2005 - arvin@suse.de
- don't used first partition of mac disks in proposal (bug #93911)
* Tue Oct 25 2005 - arvin@suse.de
- set readonly flag on disks with unsupported partition table type
  (bug #121698)
- fixed unsetting of readonly flag for disks
* Wed Oct 19 2005 - fehr@suse.de
- fix bug when sda and sdap is present (#129021)
- ignore disk label type "loop" known by parted on disks (#129021)
* Thu Oct 06 2005 - fehr@suse.de
- Add capability to partition DASD devices
- 2.13.3
* Wed Oct 05 2005 - fehr@suse.de
- Fix problem with partitioning on gpt disks (#120371)
* Tue Oct 04 2005 - fehr@suse.de
- Add warning when system mount point is mountable by user (#119637)
- fix bug handling completely empty disk (#119534)
* Thu Sep 29 2005 - fehr@suse.de
- Change Cancel-Button to "Skip" in crypt update dialog (#104591)
- disable installation related check in repair mode (#119179)
- reinit libstorage always on S390 since dasds get loaded
- 2.13.2
* Tue Sep 27 2005 - fehr@suse.de
- fix cdrom handling dialog when hardware gets removed from the
  system (#118673)
- fix problem when resizing partitions not starting on a cylinder
  boundary (#117691)
* Mon Sep 26 2005 - fehr@suse.de
- make partitions detection on S390 work
- 2.13.1
* Thu Sep 22 2005 - fehr@suse.de
- make modules cdrom and controller close when getting cancel
  request (#118233)
* Tue Sep 20 2005 - arvin@suse.de
- tagged some configuration options with <tt> in help text
  (bug #117766)
* Tue Sep 20 2005 - fehr@suse.de
- fix bug in extending unused swap LVM LV (#83482)
- make libstorage proceed even if unexpected lines are found in
  /etc/fstab (#116949)
- handle async device creation in inst-sys as in running system
- 2.13.0
* Wed Sep 14 2005 - fehr@suse.de
- handle existing label correctly when changing fs type of a
  partition (#116267)
- 2.12.30
* Mon Sep 12 2005 - fehr@suse.de
- add missing modprobe to fs module when detecring encryption type
  (#113524)
- fix problem occuring when disk geomery seen by parted changes
  (#115578)
- use stat instead of access in waitForDevice to make the call
  succeed also as non-root
- 2.12.29
* Fri Sep 09 2005 - ro@suse.de
- do not waitForDevice forever
* Thu Sep 08 2005 - fehr@suse.de
- add another kludge to work around (#115330)
- call blockdev --rereadpt to work around grub problems with newly
  created extended partition (#115330)
- add calls to check for device node existence and udev activity
  (#112958)
- 2.12.28
* Wed Sep 07 2005 - fehr@suse.de
- fix bug with creating too large partition in some cases (#115330)
- added changes in cdrom handling need because of bug #105682
- 2.12.27
* Tue Sep 06 2005 - fehr@suse.de
- fix bug handling newly created crypted partitions (#114520)
- fix creation of encrypted file based loop devices
- fix size determination of file based loop devices (#113322)
- 2.12.26
* Mon Sep 05 2005 - fehr@suse.de
- prevent usage of too large cylinder number as end of partition (#113853)
- add explanation for "*" in expert partitioner (#113826)
- fix detection of labels containing blanks (#113824)
- add caching of freeInfo to libstorage (#113726)
- make disk detection work also with manual=1 (#115234)
- prevent broken fstab lines when calling cdrom module (#115159)
- fix reading fstab with entries mounted by label or uuid (#114623)
- fix handling of encrypted LVs in instsys (#114219)
- 2.12.25
* Wed Aug 31 2005 - fehr@suse.de
- fix GetWinPrimPartitions to only return non-Linux entries (#114333)
- 2.12.24
* Thu Aug 25 2005 - fehr@suse.de
- abort installations if error returned by CommitChanges (#112768)
- fix layout for crypted fs dialogs (#112897)
- be more verbose in error popup if possible (#112902)
- fix crash during handling of extended partition (#112913)
- 2.12.23
* Wed Aug 24 2005 - fehr@suse.de
- do win detection properly even if ntfresize returns error (#106750)
- add hfs support to libstorage (#105018)
* Mon Aug 22 2005 - fehr@suse.de
- add /boot as possible mount point if raid type is "raid1" (#105718)
- make checks for partition table consistency less strict (#105612)
- make changes needed for Compaq CCISS controllers (#105514)
- fix bug preventing LVM over MD from working (#105728)
- 2.12.22
* Fri Aug 19 2005 - arvin@suse.de
- improved initialisation of libstorage callbacks (bug #105562)
* Thu Aug 18 2005 - fehr@suse.de
- check for mounted LV before removing LVM LV (#105205)
- do not remove backups when re-reading partition table (#105438)
- avoid to hit parted bug when creating logical partitions (#105441)
- fix crash during raid handling in installed system (#105387)
- 2.12.20
* Wed Aug 17 2005 - fehr@suse.de
- fix check for boot size with raid (bug #104931)
- use recursive removal for with Storage::SetTargetMap (bug #104929)
- fix bugs regarding recursive removal of md devices (bug #104929)
- improve layout in inst_part_proposal.ycp (#102981)
- fix detection of BSD disk labels (#104939)
- fix wrong value in FileSystems::LabelLength (#105180)
- fixes to make update with crypted partitions work (#105020)
- 2.12.19
* Tue Aug 16 2005 - fehr@suse.de
- prevent access to nonexistent cdrom index (bug #104654)
- use relaxed checking when creating partitions (bug #104583)
- 2.12.18
* Mon Aug 15 2005 - arvin@suse.de
- fixed segfault on PPC (bug #104561)
- fixed BarGraph size in lvm config dialog (#104432)
- fixed layout of controller dialog (bug #104335)
- merged proofread texts
- improved help-text for cryptofs password query (bug #104441)
- 2.12.17
* Wed Aug 10 2005 - fehr@suse.de
- cope with device mapper names created in /dev (#103127)
- fix Storage::GetMountPoints for LVM devices (#103134)
- 2.12.16
* Wed Aug 10 2005 - arvin@suse.de
- fixed detection of mac partition table (bug #103129)
* Tue Aug 09 2005 - fehr@suse.de
- switch udev processing off while comitting changes
* Tue Aug 09 2005 - arvin@suse.de
- fixed swap creation in auto proposal (bug #102415)
- set BLKID_SKIP_CHECK_MDRAID in blkid-call (#100530)
- fix problem of wrong execution order in Storage::commitPair()
- fix possible crash when using deleted iterator element (#97583)
- 2.12.15
* Thu Aug 04 2005 - fehr@suse.de
- make libstorage cope with swap activated by linuxrc (#100680)
- 2.12.14
* Thu Aug 04 2005 - arvin@suse.de
- make libstorage callbacks usable from ycp
- implemented callback functions in ycp
* Wed Aug 03 2005 - fehr@suse.de
- fix check for contiguous partitions (#100417)
- add Storage::SetRecursiveRemoval needed by autoyast
- fix memory hole in removeBackupState
- add function to rescan all storage objects
* Thu Jul 28 2005 - fehr@suse.de
- updated desktop files
- patch proofread texts back into code
- changes for new parted 1.6.23 (unit command)
- fix bugs in handling resizing between libstorage and ycp code
- 2.12.13
* Wed Jul 27 2005 - fehr@suse.de
- get fs capabilities from libstorage
- extend check for minimal filesystem size (#74341)
- 2.12.12
* Tue Jul 26 2005 - fehr@suse.de
- implement reading /etc/fstab and fix bug #67377
* Tue Jul 26 2005 - fehr@suse.de
- fix problem in lvm_config client
- 2.12.11
* Mon Jul 25 2005 - fehr@suse.de
- fix problem handling uninitialized disks (#98261)
- fix function Storage::AdaptResize
- remove obsolete functions from Storage
- 2.12.10
* Thu Jul 21 2005 - fehr@suse.de
- add Storage::ActivateHld to replace former SCR functionality
- fix bug #97573
* Thu Jul 21 2005 - arvin@suse.de
- removed agents and clients superseded by libstorage
- 2.12.9
* Tue Jul 19 2005 - arvin@suse.de
- added default constructors to structures of libstorage interface
* Thu Jul 14 2005 - fehr@suse.de
- from now on based on libstorage
- 2.12.7
* Tue May 24 2005 - fehr@suse.de
- make it compile with new compiler
- 2.12.6
* Thu May 19 2005 - fehr@suse.de
- prevent handling id of all dos partitions as "Win95 FAT32" (#84552)
* Mon May 16 2005 - jsrain@suse.cz
- renamed 'default' variable
* Tue May 10 2005 - arvin@suse.de
- generate libstorage bindings for ycp
* Wed Apr 27 2005 - fehr@suse.de
- libstorage uses now blocxx for logging
- 2.12.4
* Wed Apr 27 2005 - jsrain@suse.cz
- added storage_finish.ycp client
* Fri Apr 22 2005 - mvidner@suse.cz
- Do not use "default" as an identifier.
* Thu Apr 21 2005 - fehr@suse.de
- change also first field of usbdevfs fstab entry (#78959)
* Tue Apr 19 2005 - jsrain@suse.cz
- updated to new interface of ProductFeatures.ycp
- 2.12.3
* Tue Apr 12 2005 - arvin@suse.de
- Merged 9.3-branch 21937:22980 to the trunk
- 2.12.2
* Mon Apr 11 2005 - fehr@suse.de
- changes for new EVMS 2.5.x and GCC4
- 2.12.1
* Tue Mar 29 2005 - fehr@suse.de
- fix detection of loop encryption to distinguish between
  twofish256 via cryptoloop or via old loop_fish2
- version 2.11.31
* Thu Mar 24 2005 - fehr@suse.de
- added reverted the changes in 2.11.29 again, so 2.11.30 is the
  same as 2.11.28
* Thu Mar 24 2005 - fehr@suse.de
- revert to loop_fish2 based encryption NOT cryptoloop
- version 2.11.29
* Thu Mar 24 2005 - fehr@suse.de
- patch yast2-storage-crypt92.patch from Goldmaster into CVS
- correctly add cryptoloop to MODULES_LOADED_ON_BOOT (#74441)
- version 2.11.28
* Wed Mar 23 2005 - fehr@suse.de
- change cryptotype "twofish256" to "twofish" during update
  from <= 9.2 (#73818)
- version 2.11.27
* Wed Mar 23 2005 - fehr@suse.de
- fix wrong creation of Raid Button instead of Loop (#74337)
- version 2.11.26
* Tue Mar 22 2005 - fehr@suse.de
- use ID=... instead of PLACE=... in udev cdrom.rules (#74075)
- version 2.11.25
* Mon Mar 21 2005 - fehr@suse.de
- treat Solaris (0xbf)  partitions like FreeBSD partitions (#66983)
- version 2.11.24
* Tue Mar 15 2005 - fehr@suse.de
- disable creation of jfs filesystems
- make reiserfsck output less verbose
- version 2.11.23
* Mon Mar 14 2005 - fehr@suse.de
- prevent proposals with invalid logical partitions (#72154)
- abort because of swap conflict before partitioning (#72193)
- version 2.11.22
* Mon Mar 14 2005 - arvin@suse.de
- better validation of lvm vg name (bug #71954)
* Mon Mar 14 2005 - fehr@suse.de
- prevent translated texts in disk name (#71109)
- enable xfs on ppc again (#72404)
* Thu Mar 10 2005 - fehr@suse.de
- make resize mount possible if device has been renamed due to
  partition removal
- fix references to partitions in lvm and evms data after
  partition removal (#71822)
- create cdrom and floppy fstab entries with "noauto" (#66671)
- 2.11.21
* Wed Mar 09 2005 - fehr@suse.de
- change entries for udev rules file for cdroms (#71780)
* Wed Mar 02 2005 - fehr@suse.de
- change crypto handling to load modules manually (#66370)
- patch proofread texts back into ycp
- 2.11.20
* Tue Mar 01 2005 - fehr@suse.de
- treat BEOS partitions like FreeBSD partitions (#66983)
- prevent possibility to get into inconstent mode settings
- 2.11.19
* Mon Feb 28 2005 - fehr@suse.de
- fix bug when reading /etc/fstab in expert partitioner (#66370)
- 2.11.18
* Thu Feb 24 2005 - fehr@suse.de
- statfs will not work on /tmp any more disabled check for full fs
- 2.11.17
* Thu Feb 24 2005 - fehr@suse.de
- add handling of udev config file cdrom.rules (#65977)
- 2.11.16
* Wed Feb 23 2005 - mvidner@suse.cz
- Added default focus to OK in FS options dialog and fstab dialog.
- 2.11.15
* Tue Feb 22 2005 - fehr@suse.de
- fix possible problems when partitions proposal suggests removal
  of partition with lvm VG on it (#65870)
- 2.11.14
* Mon Feb 21 2005 - fehr@suse.de
- fix problem detecting resizable windows partition
- 2.11.13
* Mon Feb 21 2005 - fehr@suse.de
- prevent failing resize if reiserfs is not clean (#64084)
- 2.11.12
* Wed Feb 09 2005 - fehr@suse.de
- prevent messages about open fds in lvm agent (#50645)
* Mon Feb 07 2005 - fehr@suse.de
- patch proofread texts back into ycp
- 2.11.11
* Thu Jan 27 2005 - fehr@suse.de
- fix placement of active line after partition deletion (#48800)
- 2.11.10
* Tue Jan 25 2005 - fehr@suse.de
- adapt lvm_config_ui.ycp to new function signature
- remove calls to lookup and select in lvm_config_ui.ycp
- 2.11.9
* Mon Jan 24 2005 - nashif@suse.de
- Set arguments according to new installation workflow interface
- 2.11.8
* Wed Jan 19 2005 - fehr@suse.de
- fix compiler warning of gcc4
* Tue Jan 18 2005 - fehr@suse.de
- add possibility to set inode size for ext2 filesystems (#49870)
- 2.11.7
* Tue Jan 18 2005 - arvin@suse.de
- added check.boot (bug #49812)
* Thu Jan 13 2005 - fehr@suse.de
- fix bug with usage of uninitialised variables (#49802)
* Wed Jan 12 2005 - fehr@suse.de
- fix bug in flexible proposal code (#48856)
- fix removal of fs label if fs is not formatted (#49231)
* Wed Nov 24 2004 - fehr@suse.de
- Increase minimal boot size to 64MB (#48461)
* Thu Nov 18 2004 - fehr@suse.de
- Fix problem with resizing in ncurses UI (#47838)
* Wed Nov 10 2004 - fehr@suse.de
- make crypt passwd len in help text variable (#48115)
* Thu Nov 04 2004 - fehr@suse.de
- remove subdir libstorage from BUILD
- 2.11.5
* Wed Nov 03 2004 - fehr@suse.de
- fix various warnings and errors of new interpreter
- fix bug while updating /etc/cryptotab (#47881)
- 2.11.4
* Tue Nov 02 2004 - fehr@suse.de
- fix default FAT mount points to use utf8=true (#45085)
- fix problem resizing partitions with more than 15 Gig free (#47744)
- 2.11.3
* Tue Oct 26 2004 - fehr@suse.de
- add changes needed for new Mode/Arch/...
- 2.11.2
* Tue Oct 19 2004 - jsrain@suse.cz
- fixed parameters of y2error/y2debug/... builtins
- added missing includes to makefs client
- 2.11.1
* Tue Oct 12 2004 - fehr@suse.de
- Prevent adding of NSS pools to /etc/fstab (#46979)
* Mon Oct 11 2004 - jsrain@suse.cz
- adapted to functional interface of Arch.ycp
* Wed Oct 06 2004 - fehr@suse.de
- fix raid warning to catch all cases (#46881)
- suppress raid warning if raid type is raid1 (#46881)
- drop header image in lvm configuration client (#46904)
- 2.11.0
* Wed Sep 29 2004 - fehr@suse.de
- fix device for root fs returned in Partitions::CurMounted in
  case of LABEL= or UUID= used for root fs in /etc/fstab (#45119)
- 2.10.22
* Tue Sep 28 2004 - fehr@suse.de
- fix wrong sort oder in expert partitioner (#46289)
- fix wrong handling of removed VGs in lvm config client (#46333)
- 2.10.21
* Mon Sep 27 2004 - fehr@suse.de
- fix wrong handling of LABEL and UUID in DeviceRealDisk (#46154)
- do not add iocharset=utf8 for jfs filesystems any more (#45986)
- make GetDiskPartition/GetDeviceName cope with pure disk names (#44286)
- fix updating of cdrom symlinks when disk names change (#44286)
- prevent ntfsresize error Popup during initialisation (#46118)
- fix syntax error in write_fstab.ycp
- 2.10.20
* Thu Sep 23 2004 - fehr@suse.de
- fix default state of crypt radiobutton (#45921)
- fix wrong encryption type in /etc/cryptotab (#45921)
- 2.10.19
* Wed Sep 22 2004 - fehr@suse.de
- set passno field for unknown filesystems to 0 (#45299)
- place calls to SetDesktopIcon where they work (#45714)
* Tue Sep 21 2004 - fehr@suse.de
- fix handling of Cancel-Button in crypt passwd dialog (#45133)
- copy set softraid flag into target map
- 2.10.18
* Mon Sep 20 2004 - fehr@suse.de
- add "gid=users" and "users" to known fstab options
- fix Storage::DeviceRealDisk() to work for LVM devices (#45635)
- change cdrom symlink content if disk devices change names (#44315)
- call /usr/sbin/gen-hwcfg-disk.sh at end of update/install (#44286)
- 2.10.17
* Thu Sep 16 2004 - fehr@suse.de
- fix mapping of LVM devices to device mapper names (#44973)
- 2.10.16
* Wed Sep 15 2004 - fehr@suse.de
- adapt texts for display in installed system (#45173)
- add list of unallowed crypt mount points (#45082)
* Mon Sep 13 2004 - fehr@suse.de
- fix confusing texts in target partitioner (#45126)
- fix handling of unselected option in inst_target_selection.ycp (#45113)
- fix removal of root fstab entry of root fs is LVM LV (#44973)
- 2.10.15
* Thu Sep 09 2004 - fehr@suse.de
- Allow dots in device names of disk
* Wed Sep 08 2004 - fehr@suse.de
- Add support for disks with size > 2TB
- add loop_fish2 to MODULES_LOADED_ON_BOOT if needed (#44514)
- 2.10.14
* Tue Sep 07 2004 - fehr@suse.de
- Fix hang if ncurses yast2 menue after "Finish"-button is used in
  partitioner (#44522)
* Mon Sep 06 2004 - fehr@suse.de
- Fix wrong cdrom entry in /etc/fstab (#44634)
- 2.10.13
* Thu Sep 02 2004 - fehr@suse.de
- Fix wrong dialog after "Abort" button (#44647)
- Next button in Partitioner Dialog is now Finish (#44645)
- make LVM VG creation cope with partially existing VGs (#44519)
- 2.10.12
* Tue Aug 31 2004 - fehr@suse.de
- Disables "mountable by user" for crypted filesystems unless
  "Do not mount at System startup" is set to true (#44503)
- add functionality to Storage module needed to cope with disk
  renaming during update (#44286)
* Mon Aug 30 2004 - fehr@suse.de
- patch proofread texts into ycp
- fix wrong displayed device name when deleting mutiple logical
  partitions (#44455)
- 2.10.11
* Fri Aug 27 2004 - sh@suse.de
- Enable disabling "Accept" button in inst_prepdisk.ycp
* Thu Aug 26 2004 - fehr@suse.de
- do not use dd and blockdev to destroy partition table any more
  but use parted mklabel instead (#43696)
- 2.10.10
* Wed Aug 25 2004 - fehr@suse.de
- provide some additional fstab related data collections and
  access functions in FileSystem.ycp used by yast2-repair module.
- For constencie use the same dccess functions ad yast2-repair
  module in write_fstab.ycp and Storage.ycp
- rename confusing string constant
- 2.10.9
* Mon Aug 23 2004 - fehr@suse.de
- add Popup when diagnostic mount before resize fails (#44080)
- display ntfsresize error message if resize fails (#44056)
- 2.10.8
* Thu Aug 19 2004 - fehr@suse.de
- rename "Compaq diagnostics" to "Vendor diagnostics" (#43942)
* Tue Aug 17 2004 - fehr@suse.de
- warn when a SCSI disk with more than 15 partitions is found (#43805)
- 2.10.7
* Tue Aug 17 2004 - nashif@suse.de
- /usr/sbin/hwcan -> /sbin/hwscan (#43601)
- 2.10.6
* Mon Aug 16 2004 - fehr@suse.de
- do not use lilo as default any more when root fs is MD
* Mon Aug 16 2004 - fehr@suse.de
- do not use lilo as default any more when root fs is LVM LV
- 2.10.5
* Fri Aug 13 2004 - msvec@suse.cz
- fixed parallel build
- 2.10.4
* Wed Aug 11 2004 - fehr@suse.de
- fix bug in handling of PPC prep boot during autoinstall (#43521)
* Tue Aug 10 2004 - fehr@suse.de
- set minimal crypt passwd length to 8
* Tue Aug 10 2004 - fehr@suse.de
- patch proofread texts back into ycp
- fix problem with unstable minor device numbers of root LV when
  having more than one LVM VG (#43493)
- 2.10.3
* Thu Aug 05 2004 - fehr@suse.de
- fix possible UI screwup while using raid wizard (#43520)
* Wed Aug 04 2004 - fehr@suse.de
- fix problem when deleting/re-creating different LVs with same
  mount point (#42163)
- use GB instead of MB as size unit if available size on filesystem
  is larger than 15 GB (#40046)
* Tue Aug 03 2004 - fehr@suse.de
- add patches from Stano for new interpreter
- 2.10.2
* Thu Jul 29 2004 - nashif@suse.de
- Removed references to Mode::live_eval
* Tue Jul 27 2004 - fehr@suse.de
- use resize2fs instead of parted for resizing ext2/3 filesystems
* Thu Jul 15 2004 - fehr@suse.de
- merged SuSE-Linux-9_1-Branch
- 2.10.1
* Tue Jul 13 2004 - fehr@suse.de
- add requires for yast2-s390 on S390 arch (#42956)
* Mon Jul 12 2004 - fehr@suse.de
- fix update usbdevfs --> usbfs (#42734)
- ignore notready flag for S390 dasd (#42393)
* Thu Jun 24 2004 - fehr@suse.de
- skip check for resizing mounted fs in inst-sys (#42429)
* Thu Jun 24 2004 - fehr@suse.de
- fix failing mkfs for JFS and XFS (#42394, #40853)
- 2.9.58
* Wed Jun 23 2004 - fehr@suse.de
- reset format flag for partitions in EVMS container (#42394)
* Tue Jun 22 2004 - fehr@suse.de
- use grub if root filesystem is EVMS, not lilo (#41198)
- 2.9.57
* Tue Jun 15 2004 - fehr@suse.de
- destroy raid superblocks before calling pvcreate (#41890)
- 2.9.56
* Mon Jun 14 2004 - fehr@suse.de
- improve synchronisation ine EVMS dialog when partitioning is
  modified (#41917)
- 2.9.55
* Wed Jun 09 2004 - fehr@suse.de
- reduce log level in evms_open_engine (#41615)
- make newly created partitions also visible in main evms dialog
  (#41198)
- prevent hang when invalid pesize is used (#41802)
- 2.9.54
* Sat Jun 05 2004 - fehr@suse.de
- fix correct loading order of SCSI modules (#40018)
- 2.9.53
* Tue Jun 01 2004 - fehr@suse.de
- fix deletion of evms volumes #40857
- 2.9.52
* Tue Jun 01 2004 - fehr@suse.de
- fix the problem handling native EVMS volumes in bug #40857
- deactivate boot.evms after update (#41480)
- 2.9.51
* Thu May 27 2004 - fehr@suse.de
- fix mount order when non-EVMS mounts are below EVMS mounts (#41198)
- copy evms device nodes into installed system (#41198)
- fix function Storage::CheckForEvmsRootFs (#41198)
- 2.9.50
* Wed May 26 2004 - fehr@suse.de
- add new flag prep_install to PreP partition from suggestion (#41213)
* Tue May 25 2004 - fehr@suse.de
- add newly created partitions to EVMS container pv list (#41198)
- call script to reset dasd driver in S390
- fix bug in size calculation when modifying MD devices (#40974)
- 2.9.49
* Mon May 24 2004 - fehr@suse.de
- fix module load order between modules loaded by linuxrc and
  modules loaded by YaST2 (#40018)
- fix detection of root fs on ppc machines (#40942)
- some fixes added by Joachim Plack for ppc boot setup (#40305)
- 2.9.48
* Wed May 19 2004 - fehr@suse.de
- fix wrong evms container size calculations (#40778, #40776)
- 2.9.47
* Tue May 18 2004 - fehr@suse.de
- fix popup with fs options for JFS (#40760)
- 2.9.46
* Mon May 17 2004 - fehr@suse.de
- add missing return to Storage::GetTranslatedDevcies (#39437)
- add mount point suggestion to md create dialog (#40083)
- minimal stripe size in software raid is now 4k (#40519)
* Thu May 13 2004 - fehr@suse.de
- fixed various bugs in evms handling (e.g. #39965)
- 2.9.45
* Wed May 12 2004 - fehr@suse.de
- order of controllers in initrd the same as in
  /etc/install.inf (#40018)
- fix bug that made resize popup non-functional after editing a
  partition (#40351)
* Tue May 11 2004 - fehr@suse.de
- fix HaveLinuxPartitions to only check real disks (#39950)
* Thu May 06 2004 - fehr@suse.de
- fix bug creating EVMS container (#39965)
- 2.9.44
* Thu May 06 2004 - nashif@suse.de
- autoyast: missing time-out in raiddetect dialog during auto
  installation (#40057)
* Thu May 06 2004 - fehr@suse.de
- do not use old style swap partitions with kernel 2.6 (#39970)
* Wed May 05 2004 - fehr@suse.de
- fix detection of evms agent on systems using lib64 (#39939)
- fix problem with both sda1 and dasda1 in /proc/partitions (#39953)
* Tue May 04 2004 - fehr@suse.de
- patch proofreaded text back into ycp
* Mon May 03 2004 - fehr@suse.de
- write also non-created raids into /etc/raidtab
- fix wrong proposal in gpt partition table (#38858)
* Thu Apr 29 2004 - fehr@suse.de
- remove literal references to "SuSE Linux" (#39505)
- Add functions to handle Update hdx -> iseries/vdx
- 2.9.43
* Wed Apr 28 2004 - fehr@suse.de
- remove literal references to "SuSE Linux" (#39505)
* Tue Apr 27 2004 - fehr@suse.de
- call evms_close_engine() only if open succeeded (#36927)
- check for installed lvm2 only in installed system
* Mon Apr 26 2004 - fehr@suse.de
- remove debug code for Mode::test = true (#39444)
* Thu Apr 22 2004 - fehr@suse.de
- re-init error ycp map oterwise (#39116)
- assert lvm2 being installed when selecting lvm in expert
  partitioner (#39253)
- fix bug handling disk selection after expert dialog (#39228)
- fix handling of large number of disk in ChoosDisk
- fix wrong sorting of md and loop in expert partitioner
- 2.9.42
* Wed Apr 21 2004 - fehr@suse.de
- fix bug handling LVM sizes under certain circumstances (#39099)
- handle unformatted DASDs on S390 (#39174)
- fix remembering of last edited disk
- silently destroy aix disk label (#38095)
- 2.9.41
* Tue Apr 20 2004 - fehr@suse.de
- make device /dev/iseries/vd known to YaST2 lvm agent (#39188)
* Mon Apr 19 2004 - fehr@suse.de
- patch proofread texts back into ycp
- fix bugs with failing last resort proposal (#38863, #38959)
- 2.9.40
* Thu Apr 15 2004 - fehr@suse.de
- add missing inst_evms.ycp to package
- add support for partitioning on S390 DASD devices
- check minimal fs size also for LVM and EVMS LVs (#32906)
- 2.9.39
* Tue Apr 13 2004 - fehr@suse.de
- handle partition id 23 (NTFS hidden) like partition id 7
- call ntfsresize with option -f
- remove dasd driver parameter menue for S390 (#38818)
- 2.9.38
* Wed Apr 07 2004 - fehr@suse.de
- fix problem with loop setup during installation (#38631)
- 2.9.37
* Tue Apr 06 2004 - fehr@suse.de
- fix problem when resizing filesystem (#38406)
- fix problem with crypto setup and loop files (#38480)
- fix problem due to caching of AnyAgent (#38144)
- fix typo introduced that prevents build
- make resize for vfat filesystems work again (#38106)
- fix overwritten return code of CheckResizePossible
- use option acl,user_xattr only for formatted filesystems (#37241)
- 2.9.36
* Mon Apr 05 2004 - fehr@suse.de
- fix wrong size display in lv dialog (#38139)
- do not display parted warning for fakeraid disks and do try to
  avoid installation on fakeraid disks if at all possible (#36157)
- fix hang when removing created LVM VG
- fix bug in LVM setup with cciss devices (#38387, #34064)
- fix possible hang when doing multiple resizes (#38377)
- 2.9.35
* Fri Apr 02 2004 - arvin@suse.de
- finally changed license to GPL for good
* Thu Apr 01 2004 - fehr@suse.de
- fix problem in size computation of LVs (#37818)
- fix empty partitioner window after removing all parts (#37875)
- add check that prevents removal of last PV from a VG (#37745)
- add suport for /dev/iseries/vd disk types (#37923)
- 2.9.33
* Wed Mar 31 2004 - fehr@suse.de
- use nls= instead of iochars= for ntfs partitions (#37624)
- fix displayed info while resizing a LVM LV (#37640)
- prevent some warnings in y2log
- make libpy2ag_evms only part of SLES9 rpm
- check for an valid block device before formatting (#37654)
- add warning if a fake raid disk is seen by hwinfo
- 2.9.32
* Tue Mar 30 2004 - fehr@suse.de
- fix handling of EVMS devices, suppress evms loop devices (#37033)
- fix installation of lvm2 package if needed (#37279)
- fix disk selection problem for large number of disks (#34065)
* Mon Mar 29 2004 - fehr@suse.de
- suppress codepage option if value is 437 (the default) anyways
- fix writing fstab entries in cdrom module (#37323)
- fix recognition of root mount point (#37319)
- fix numbering of win boot strings (#37304)
- process all non-EVMS devices before EVMS device in inst_prepdisk
- 2.9.31
* Thu Mar 25 2004 - fehr@suse.de
- make crypto setup work again (#36878, 34710)
- remove obsolete losetup agent
- 2.9.30
* Tue Mar 23 2004 - fehr@suse.de
- add CheckForEvmsRootFs() to Storage module
- fix bug with size computation and too large pesize in LVM (#36759)
* Mon Mar 22 2004 - fehr@suse.de
- fix syntax error in do_proposal.ycp
- 2.9.29
* Mon Mar 22 2004 - fehr@suse.de
- fix typo in cdrom config (#36619)
- use Installation::scr_destdir not Installation::destdir (#34996)
- remove unneeded device mapper entries using "dmsetup remove"
- fix problem with naming of multiple windows mount points (#36654)
- enable buttons in cdrom and controller modules (#36620)
- do not create multiple fstab entries per cdrom any more (#36469)
- do not use \product; macro any more (#36716)
- 2.9.28
* Fri Mar 19 2004 - mvidner@suse.cz
- added AGENT_LIBADD so that agents work from standalone Perl
* Thu Mar 18 2004 - fehr@suse.de
- do not remove unused autogenerated evms volumes, this has unwanted
  side effects (#36319)
- do not auto-detect swap on evms partitions
* Wed Mar 17 2004 - fehr@suse.de
- use iocharset=utf8 in fstab for fat,ntfs,cdrom and jfs (#36242)
- fix detection of windows partitions
* Wed Mar 17 2004 - fehr@suse.de
- fix bugs in handling integrated evms config
- 2.9.26
* Tue Mar 16 2004 - fehr@suse.de
- make evms device better coexist with non-evms device during install
- 2.9.25
* Tue Mar 16 2004 - fehr@suse.de
- replaced occurrences of SuSE Linux by &product; (#36135)
- add some UI wizardry around call to s390-disk-controller
- re-init evms agent after disk partitioning
- 2.9.24
* Mon Mar 15 2004 - fehr@suse.de
- add nodev to mount options for Cdrom (#35754)
- add blocksize to XFS options (#35684)
- use ProductFeatures to enable EVMS config
- use iocharset-Option to mount windows partitions matching to
  the current installation language (#34559)
- fix bug in adding/removing PVs into VGS (#35587)
- 2.9.23
* Mon Mar 15 2004 - nashif@suse.de
- fixed compile error
* Thu Mar 11 2004 - fehr@suse.de
- make ntfs resize work with new version of ntfsresize
* Wed Mar 10 2004 - fehr@suse.de
- fix type information for call to Partitions::GetFstab
- 2.9.21
* Wed Mar 10 2004 - sh@suse.de
- V 2.9.20
- Migration to new wizard
* Mon Mar 08 2004 - fehr@suse.de
- add calls to Wizard::SetDesktopIcon(...)
- update fstab with subfs entries for cdrom and floppy (#34996)
- fix missing 0x41 Prep entry on PPC (#35462)
- add call to s390-disk-config to StorageController::Initialize()
- ongoing EVMS integration
- 2.9.19
* Sun Mar 07 2004 - kkaempf@suse.de
- fix continue in repeat-until
- more type information
- fix include installation
- 2.9.18
* Fri Mar 05 2004 - fehr@suse.de
- add evms agent
- 2.9.17
* Thu Mar 04 2004 - visnov@suse.cz
- added type info
- 2.9.16
* Wed Mar 03 2004 - fehr@suse.de
- get rid of uses of change ycp command
* Mon Mar 01 2004 - fehr@suse.de
- patch proofreaded texts back into ycp
- continued adding support for evms
- 2.9.15
* Thu Feb 26 2004 - fehr@suse.de
- propagate changes in fstab options, new interpreter new YCP
  semantics (#35099)
* Wed Feb 25 2004 - fehr@suse.de
- make partition table sanity check less stringent (#34957)
- fix computation if suggested swap size (thanks Anas ;-)
* Tue Feb 24 2004 - fehr@suse.de
- use acl and user_xattr as default fstab options (#34684)
- more new interpreter fixes
- fix typos `reiserfs -> `reiser
- version 2.9.14
* Tue Feb 24 2004 - kkaempf@suse.de
- check BIOS resources on 'wintel' systems only (#34853)
* Mon Feb 23 2004 - fehr@suse.de
- set "old_swap" on v0 swap partitions to true
- version 2.9.12
* Mon Feb 23 2004 - fehr@suse.de
- make flexible_proposal work with new interprerter (#34830)
- get evms info only if evms agent is present
- version 2.9.11
* Fri Feb 20 2004 - fehr@suse.de
- subfs mountpoint must no be "noauto" in /etc/fstab
- evms development continued
- changes to adapt to new sort function semantics
- remove option -A when doing vgchange -a [y|n] new tools
  do not like it
- add fstab entry for sysfs (#34772)
- fix problem with creation of swap partition (#34667)
- install lvm2 and evms only when needed (#34657)
- version 2.9.10
* Thu Feb 19 2004 - fehr@suse.de
- remove special handling for ide recorders
* Thu Feb 19 2004 - mvidner@suse.cz
- changed sort to use "<" instead of "<=" because of the switch to std::sort
* Wed Feb 18 2004 - fehr@suse.de
- fix some problems with partitioning
- first bunch of changes for EVMS support
- ignore small size differences when checking partitions (#34658)
- fix module loading problem with new kernel (#34692)
- 2.9.9
* Fri Feb 13 2004 - fehr@suse.de
- change usbdevfs -> usbfs (#34531)
* Thu Feb 12 2004 - fehr@suse.de
- fix problem with partition suggestion
- Fix wrong output redirection with guessfstype (#34498)
- 2.9.8
* Tue Feb 10 2004 - fehr@suse.de
- fix problem with handling cdrom drives
- 2.9.7
* Tue Feb 10 2004 - arvin@suse.de
- syntax fix in inst_prepdisk.ycp
* Tue Feb 10 2004 - fehr@suse.de
- enable subfs support in /etc/fstab (#33383)
- version 2.9.6
* Mon Feb 09 2004 - fehr@suse.de
- make other fs besides reiserfs work again
- some more fixes
- version 2.9.5
* Sat Feb 07 2004 - arvin@suse.de
- removed config files (*.y2cc)
- make other fs besides reiserfs work
- version 2.9.5
* Fri Feb 06 2004 - fehr@suse.de
- fixes for new interpreter (no implicit call by reference for maps
  any more)
- first minor changes for EVMS support
- version 2.9.4
* Thu Feb 05 2004 - fehr@suse.de
- various fixes for new interpreter
- version 2.9.3
* Mon Feb 02 2004 - fehr@suse.de
- various fixes for new interpreter
- use /boot/efi instead of /boot on ia64 (#21644)
- version 2.9.2
* Thu Jan 29 2004 - mvidner@suse.cz
- redirection from ag_{fdisk,lvm,md} to ag_storage via symlinks
* Tue Jan 27 2004 - mvidner@suse.cz
- Moved agent-losetup here from yast2-core.
- version 2.9.1
* Fri Jan 23 2004 - fehr@suse.de
- first version suitable for new interpreter
- version 2.9.0
* Tue Jan 13 2004 - fehr@suse.de
- fix bad partitioning suggestion on Mylex Raid (#32895)
* Thu Dec 04 2003 - fehr@suse.de
- fix problem in handling LVM LVs in repair mode (#32899)
* Wed Nov 19 2003 - fehr@suse.de
- add warning when resizing mounted file system (#32601)
* Fri Oct 24 2003 - fehr@suse.de
- increase minimal size for boot on ia64 to 200 MB
* Thu Oct 23 2003 - fehr@suse.de
- add warning when GPT is used for system disk on non-ia64
  platform (#32485)
* Mon Oct 20 2003 - fehr@suse.de
- fix handling of encrypted loop fs with "noauto" fstab option
* Fri Oct 17 2003 - fehr@suse.de
- add entry of EFI Boot to partition list on IA64 (#30192)
* Thu Oct 16 2003 - fehr@suse.de
- reworked reading fstab, now copes with multiple fstab versions
  found and can also read fstab from MD or LVM devices (#32058)
- do not mix up 0x41 Prep Boot with normal /boot partition (#32405)
* Wed Oct 15 2003 - fehr@suse.de
- default is now acl activated (#32342)
- prevent y2log entries of error log level (#30421)
* Tue Oct 07 2003 - fehr@suse.de
- fix handling of mounted loop devices in running system (#32077)
- fix changing mount point of ntfs filesystems (#32077)
* Mon Oct 06 2003 - fehr@suse.de
- add lvm_mod to INITRD_MODUELS when root is on LVM (#32008)
* Wed Oct 01 2003 - fehr@suse.de
- add /tmp to list of suggested mount points (#31924)
* Mon Sep 29 2003 - fehr@suse.de
- ignore SCSI disks on PPC iSeries since it cannot boot (#31633)
- prevent creation of 0x41 PPC Prep partition in extended partition
  (#28977)
- display ignoreable warning when using RAID for /boot (#31468)
- improve text in lvm error popup (#31409)
- fix help text for editing existing partition (#31046)
* Fri Sep 26 2003 - fehr@suse.de
- show disk selection instead of exptert dialog if  part proposal
  is impossible
* Mon Sep 22 2003 - fehr@suse.de
- work around deactivation of md root fs (#31617)
- version 2.8.19
- fix creation of /dev/dvd for multi capable drives (#31504)
- make usage of back button in raid config less confusing (#31504)
- version 2.8.18
* Fri Sep 19 2003 - fehr@suse.de
- add error popup when no LV selected (#31409)
- cope with already mounted windows partitions in GetFreeSpace (#31016)
- version 2.8.17
* Wed Sep 17 2003 - fehr@suse.de
- mount windows filesystems read-only in FileSystems::GetFreeSpace
  (#30757)
- version 2.8.16
* Tue Sep 16 2003 - fehr@suse.de
- fix detection of Windows partitions in running system (#31016)
- fix removal of last raid in installation system
- version 2.8.15
* Sun Sep 14 2003 - adrian@suse.de
- version 2.8.14
- let it work in kcontrol again
* Thu Sep 11 2003 - fehr@suse.de
- allow '/' in fs labels (#30443)
* Tue Sep 09 2003 - fehr@suse.de
- fix bug in distribution to multiple disks in flexible proposal
* Mon Sep 08 2003 - fehr@suse.de
- desktop icons updated
- version 2.8.13
* Thu Sep 04 2003 - fehr@suse.de
- fix detection for controllers deactivated in BIOS (#29777)
- version 2.8.12
* Wed Sep 03 2003 - fehr@suse.de
- fix bug in ntfs resize dialog (#29933)
* Tue Sep 02 2003 - fehr@suse.de
- fix bug in raid edit dialog (#29819)
* Mon Sep 01 2003 - fehr@suse.de
- fix for #29706 by gs@suse.de
- use Popup::ConfirmAbort()
- fix problem with too large MaxSize in lvm dialog (#29763)
- version 2.8.11
* Thu Aug 28 2003 - fehr@suse.de
- fix moved modules variable (#29536) and another mistyped variable
- do not handle partition for which ntfsresize barfs as non-windows
  (#29469)
* Wed Aug 27 2003 - fehr@suse.de
- make partition proposal behave normally (#29412)
* Tue Aug 26 2003 - fehr@suse.de
- fix bug of computing a slightly too small size for resized ntfs
  under certain circumstances (#29326)
- 2.8.10
* Fri Aug 22 2003 - arvin@suse.de
- skip inst_prepdisk during update
- 2.8.9
* Thu Aug 21 2003 - fehr@suse.de
- fix bug in handling crypted partitions (#29154)
- use Popup::ConfirmAbort in inst_prepdisk.ycp
* Wed Aug 20 2003 - fehr@suse.de
- fix wrong suggestion when reusing boot partition larger than 200M
  on ia64 (#28976)
- do not format a reused boot partition in ia64 any more
* Tue Aug 19 2003 - fehr@suse.de
- remove include of obsolete common_functions.ycp
- minor fixes in some texts
- version 2.8.8
* Wed Aug 13 2003 - fehr@suse.de
- improve label displayed during partition formatting (#28711)
- fix detection of win partitions (#28740)
* Fri Aug 08 2003 - fehr@suse.de
- patch proofread texts back into sources
- version 2.8.7
* Fri Aug 08 2003 - fehr@suse.de
- finally fix the adding of SCSI controller modules to Initrd
- version 2.8.6
* Wed Aug 06 2003 - fehr@suse.de
- handle new option "noauto" in fstab option dialog
- allow "noauto" to be set for loop based devices put them into
  /etc/fstab instead of /etc/cryptotab in this case.
- allow unencrypted filesystems on file based loops
- show filesystem label in expert partitioner if it exists (#28268)
- version 2.8.5
* Wed Jul 30 2003 - fehr@suse.de
- merge fdisk, lvm and md agent into one storage agent
- version 2.8.4
- add modulename to module Initrd for already loaded modules in
  StorageController
* Wed Jul 23 2003 - fehr@suse.de
- fix bug during removal of LVs on a VG containing MD devices as
  PVs (#28152)
* Thu Jul 17 2003 - fehr@suse.de
- fix bug resulting in missing fstab entry (#25367)
- fix some inconsistencies in LVM dialogs (#27924)
- make the buttons "Delete", "Edit" and "Resize" work consitently
  on LVM LVs, MD devices and file based loops
- version 2.8.3
* Thu Jul 10 2003 - fehr@suse.de
- add special popup for resize of disks (#25049)
- add field for stripesize to lv dialog (#24225)
* Wed Jul 09 2003 - fehr@suse.de
- detect bootable partitions on a disk
- add function Storage::GetBootPartition()
- fix too large controller dialog (#25932)
* Fri Jul 04 2003 - fehr@suse.de
- add support for configurtion of LVM2
- version 2.8.2
* Mon Jun 30 2003 - fehr@suse.de
- improve warnig message (#27590)
* Fri Jun 27 2003 - fehr@suse.de
- integrate resizing of ntfs partitions
- version 2.8.1
* Wed Jun 18 2003 - fehr@suse.de
- add handling of Storage::ZeroNewPartitions to get rid of LVM
  related autoinstall problems
* Mon Jun 16 2003 - fehr@suse.de
- fix bug in flexible proposal
* Tue Jun 10 2003 - fehr@suse.de
- Use new Modules Label and Popup wherever possible
* Thu Jun 05 2003 - fehr@suse.de
- fix bug causing failures when create more than one software
  raid (#27252)
- change message text displayed when /etc/raidtab content does not
  match /proc/mdstat
- make it build again with new checks
- add flexible partitioning suggestion
- version 2.8.0
* Wed May 21 2003 - fehr@suse.de
- add patch from Anas for fix of bug #26906
* Mon Apr 28 2003 - arvin@suse.de
- some fixes for live eval (bug #26457)
* Tue Mar 18 2003 - fehr@suse.de
- fix check for data journaling mode for ext3 root (#25587)
- version 2.7.19
* Fri Mar 14 2003 - jsrain@suse.de
- added missing import "Kernel"; to fix building of yast2-bootloader
  yast2-bootloader doesn't build without this fix
- version 2.7.18
* Thu Mar 13 2003 - fehr@suse.de
- add kernel cmdline handling for IDE recorders from inst_finish.ycp
  to StorageDevices.ycp. Cdrom probing is done sooner also (bug #25293)
- version 2.7.17
- remove offending character from translatable text (#25210)
- undo fix for #24647 (breaks translations)
- version 2.7.16
* Tue Mar 11 2003 - fehr@suse.de
- fix serious problem with lvm creation when using newly created
  partitions
- do not treat notready disks automatically as zips
- add function DestroyMdOnAllDisks() needed by autoyast
- version 2.7.15
* Mon Mar 10 2003 - fehr@suse.de
- make cdrom and controller module close by windows title (#24988)
- version 2.7.14
* Fri Mar 07 2003 - fehr@suse.de
- handle freebsd partition like openbsd (#24740)
- try to get partitions ids from parted info even if resorting to
  data from /proc/partitions (#24740)
- version 2.7.13
* Wed Mar 05 2003 - fehr@suse.de
- fix translation comment for two texts (#24647)
- change default for ext3 fs to mountcount 500 and check interval
  2 months (#20978)
* Tue Mar 04 2003 - nashif@suse.de
- Move initialization of disk during auto-installation
  to inst_prepdisk (#23607 )
- version 2.7.12
* Mon Mar 03 2003 - fehr@suse.de
- patch proofreaded text back into ycp
- 2.7.11
* Thu Feb 27 2003 - fehr@suse.de
- fix systematically rounding problem when computing cylinders
  from parteds sizes wich lead to displays of cylinder numbers
  larger than existent (#24172)
* Wed Feb 26 2003 - fehr@suse.de
- fix handling of floppy drives with device names other than
  /dev/fd* (e.g. "IDE Floppy" LS-120 drives) (#24282)
- fix forgetting of windows info when entering expert partitioner
  (#24361)
* Tue Feb 25 2003 - fehr@suse.de
- fix typo in ACL option description (#24213)
* Mon Feb 24 2003 - fehr@suse.de
- fix detection of ntfs based windows systems (#24181)
- fix resizing for partition with invalid filesystem if format is
  true (#24180)
- prevent windows resize dialog from popping up before entering
  expert partitioner (#23975)
- keep the existing partitioning if one changes from installation
  onto a certain disk to usage of the expert partitioner
- 2.7.10
* Fri Feb 21 2003 - fehr@suse.de
- fix signed/unsigned problem with disk larger than 1 TB (#23872)
- fix missing reset of readonly partition table flag after deletion
  of partition table (#23996)
- ignore disks without dev_name entry (#24043)
- ignore additional entries in /proc/partitions if OpenBSD partition
  is present, becuase of possible OpenBSD slices (#24051)
* Thu Feb 20 2003 - fehr@suse.de
- use sentence style capitalisation in y2cc files (#23848)
- ignore FAT signatures on swap partitions (#23960)
* Wed Feb 19 2003 - fehr@suse.de
- add comments to texts for translators (#23774)
- fix endless sorting loop when RAID is used with scsi disks (#23747)
- remove obsolete modules xfs_support and xfs_dmapi (#23793)
- do not add encoding info to fat and cdrom mounts in /etc/fstab
  if encoding is utf8 (#23801)
* Tue Feb 18 2003 - fehr@suse.de
- add error popup when one adds more than 12 partitions to a
  md raid (#22952)
* Tue Feb 18 2003 - arvin@suse.de
- moved AsciiFile module to yast2 package
* Mon Feb 17 2003 - fehr@suse.de
- fix non-working partition resize (#23656)
- version 2.7.8
* Thu Feb 13 2003 - fehr@suse.de
- fix handling of parallel port ZIP drives (#16411)
* Tue Feb 11 2003 - fehr@suse.de
- make Storage::GetMountPoints() realize multiple mounts of same
  device (#23553)
- decrease startup time by skipping some lvm data gathering in agent
- recognize gpt partition with flag hp-service properly (#23488)
- remove partition id selection box on s390 (#21221)
* Mon Feb 10 2003 - fehr@suse.de
- patch proofreaded text back
- fix bug when reading fstab containing LABEL= or UUID= in device
  field (#20880)
- 2.7.7
* Fri Feb 07 2003 - fehr@suse.de
- patch proofreaded text back
- completely reworked cdrom configuration (#21997)
- change messages if resize of partitions is impossible (#23355)
- fix bug that broke Re-Reading of partition table (#23372)
- add possibility to set swap priority (#21426)
- clean up handling of gpt boot paritition on ia64
- add command line param hdXlun=0 for ide-cd-writers
- 2.7.6
* Fri Jan 31 2003 - fehr@suse.de
- fix bug that caused wrong initrd being created when pressing apply
  button in storage controller configuration multiple times (#22425)
- remove multiple entries for controllers with more than one channel
  in controller.ycp
- change handling of cd/dvd type according to new hwinfo (#20068)
- decrease size of lv create dialog (#23243)
- do not issue warning about resizing when format is true (#23153)
- ask if using max end cylinder in create partition dialog (#22463)
- remove fdisk binary from yast2, not used anymore
- 2.7.5
* Thu Jan 30 2003 - fehr@suse.de
- prevent possible proposal of disk creation on readonly disks
- fix bug in inst_do_resize (#23202)
* Wed Jan 29 2003 - fehr@suse.de
- patch proofreaded texts back into ycp
- fix bug in fstab entry creation (#23180)
* Mon Jan 27 2003 - fehr@suse.de
- add a warning if swap partition is not formatted as needed (#23106)
- forbid use of journalling mode for root fs on ext3 (#20511)
- add ACL options to ACL capable filesystems (#22818)
- Version 2.7.4
* Mon Jan 27 2003 - fehr@suse.de
- add handling of encrypted loop files
- Version 2.7.3
* Thu Jan 23 2003 - fehr@suse.de
- fix problem with ataraid controller (23058, 23056)
  delayed disk init during installation until all controllers loaded
  fix wrong regex for devices with name d<n>p<n>
* Tue Jan 21 2003 - fehr@suse.de
- fix problem with initialisation order that arises only when YaST2
  autoprobes non-ide disks
- Version 2.7.2
* Fri Jan 10 2003 - fehr@suse.de
- check for existence of windows specific files before returning as a
  win partition in GetForeignPrimary() (#21723)
- add member function DestroyLvmOnAllDisks() to Storage module (#22329)
* Tue Dec 17 2002 - fehr@suse.de
- check if parted output and content of /proc/partitions match
  if not use content of /proc/partitions and refuse to repartition
  the affected disk
- Version 2.7.1
* Fri Dec 13 2002 - fehr@suse.de
- set swap mount point only for partitions with valid swap signature
- try an umount before deleting a mounted partition (#22462)
- make disk selection dialog more easily usable (#21505, #22464)
- show Edit Raid button only when at least one raid exists (#21618)
* Thu Dec 12 2002 - fehr@suse.de
- ide-scsi related modules are not in initrd an more (#19376)
- add /srv to list of suggested mount points (#21844)
- remove hack of using a modifyied version of sequencer (#15662)
- make the normal proposal and the target partitioner suggest a much
  more similar parititioning than before by using more common code
  in the two parts of the partitioner
* Thu Dec 05 2002 - fehr@suse.de
- add check that no partition is mounted below /boot on IA64 (#21645)
* Fri Nov 22 2002 - fehr@suse.de
- changes for obsolete dumpto agent
* Thu Nov 21 2002 - fehr@suse.de
- update to version 2.6.55 of 8.1 branch
- add changes for new bootloader interface
- add function GetOtherLinuxPartitions() to Storage module
- 2.7.0
* Wed Sep 11 2002 - fehr@suse.de
- fix options iocharset and code for ntfs (#19430)
- 2.6.34
* Tue Sep 10 2002 - fehr@suse.de
- fix UseLilo function in for case of separate /boot partition (#19146)
- fix raid information in GetMountPoints()
- prevent iocharset=iso8859-15 on cdroms does not make much sense
- increase field size display of VG size (#18950)
- version 2.6.33
* Mon Sep 09 2002 - fehr@suse.de
- do not add default windows mount points if users decides to
  create its own partition setup
- exptend check for mount points in CheckOkMount (#19147)
- reset format flag if partition get part of MD or LVM (#19190)
- version 2.6.32
* Mon Sep 09 2002 - kukuk@suse.de
- Get rid of old hack on SPARC for fdisk, will break parted
* Sun Sep 08 2002 - fehr@suse.de
- add "users" to mount options of dos partitions in fstab (#18944)
- fix various bugs in win resizer (#19101, #19102, #19103)
- disable max field in LV creation if stripe count > 1 (#19073)
- recognize that sparc needs a /boot partition
- reformulate warning when LVM is root fs and no /boot.
  It now says clearly that this will not work.
- version 2.6.31
* Fri Sep 06 2002 - fehr@suse.de
- fix wrong size computation for gaps in proposal
- move function GetFreeSpace from Partitions to FileSystems
  and extend it with module loading
- disable vfat on PowerPC (#18989)
- save type of detected fs and reset to this type when formatting
  is switched off (#18977)
- add some Provides/Obsoletes
- load all raid personalities with insmod, autoloading seems broken
  in inst-sys
- fix path to parted in inst_resize_ui.ycp (#19061)
- fix missing of NTFS partititions in /etc/fstab (#18944)
- version 2.6.30
* Thu Sep 05 2002 - fehr@suse.de
- add support for scanning multipath entries in /proc/lvm/global
- import Boot just before use in StorageControllers.ycp
- fix scr file for reading /proc/dasd/devices for extended format
- fix fs recognition on encrypted devices (#17336)
- remove Provides and Obsoletes of yast2-core-clients{-devel}
- version 2.6.29
* Tue Sep 03 2002 - fehr@suse.de
- fix bug in function StorageDevices::FloppyReady() (#18773)
- fix misleading proposal text when formatting nothing (#18793)
- do not do a dd to zero the first blocks of formatted partitions
  on sparc
- version 2.6.28
* Mon Sep 02 2002 - fehr@suse.de
- add special help text for S390 (#17081)
- fix bug occuring sometimes when resizing reiserfs
- fix bug that made filesystem detection data get lost (#18727)
- fix bug with unformatted, encrypted, non-reiserfs filesystems (#17336)
- version 2.6.27
* Fri Aug 30 2002 - jsrain@suse.cz
- applied workarounds of some YCP interpreter bug
- 2.6.26
* Thu Aug 29 2002 - fehr@suse.de
- fix bug in Storage::GetDiskPartition() (thanks to Jiri)
- allow all filesystems on sparc (#18516)
- changed Partitions module to have empty initializer rewrite
  some global variables as functions
- fix bug concerning partitioning on sparc (#18565, #18518)
- version 2.6.25
* Wed Aug 28 2002 - fehr@suse.de
- add function Storage::UseLilo() to Storage module that tells
  boot loader config when to use Lilo instead of grub.
- version 2.6.24
* Tue Aug 27 2002 - jsuchome@suse.cz
- provide/obsolete old translation packages
* Mon Aug 26 2002 - fehr@suse.de
- return current value in StorageDevices::FloppyReady when no
  floppy driver is present (#18317)
- add entry for /media/cdrom to /etc/fstab if only /media/dvd or
  /media/cdwriter are present (#18300)
- check correctly if extended partition is allowd at all in
  do_proposal
- check bugs for mac partition label (#18205, #18201, #18199)
- remove warning bcause of xfs usage for /boot, grub can cope with
  xfs usage for files below /boot (#18395)
- version 2.6.23
* Fri Aug 23 2002 - fehr@suse.de
- fix wrong entry of fs_options on S390
- fix fstype probing when searching for existing fstab (#18230)
- do not create links /cdrom -> /media/cdrom etc. any more
- version 2.6.22
* Thu Aug 22 2002 - fehr@suse.de
- fix check for resizing capabilities (#18139)
- fix wrong variable name handling IDE-cdwriters
- add option keepSorting to tables where necessary
- fix bug not resetting suggested partitions (#18188)
- fix bug loading fs modules multiples times (#18213)
- version 2.6.21
* Wed Aug 21 2002 - fehr@suse.de
- fix check for use of fat filesystem for system dirs (#18121)
- fix typo in warning message (#18141)
* Mon Aug 19 2002 - fehr@suse.de
- fix wrong initialisation of cddrives
* Fri Aug 16 2002 - fehr@suse.de
- fix bug initializing partition table (#17770)
- add entry for /media/cdrom to /etc/fstab if only /media/dvd or
  /media/cdwriter are present.
- use new functions from lilo/misc.ycp to rerun bootloader and
  change kernel command line parameters in controller.ycp and
  cdrom.ycp
* Thu Aug 15 2002 - fehr@suse.de
- removed cdrom.y2cc and controller.y2cc again
* Wed Aug 14 2002 - fehr@suse.de
- add some more entries to ignored partitions on Macintosh
* Tue Aug 13 2002 - fehr@suse.de
- use default blocksize of 4096 for ext2 on S390 (#17658 )
- allow integration of existing crypted partitions without need
  for reformatting (#17336)
- patch proofreaded texts back into ycp files
* Mon Aug 12 2002 - fehr@suse.de
- fix bug with IDE writers (#17515)
- fix bug with logical partition in GPT (#17533)
- fix missing windows entries (#17565)
- fix missing cdrom links (#17569)
- "yast2 cdrom" now functional
- fix bug with wrong logical partitions on ppc
- version 2.6.18
* Fri Aug 09 2002 - fehr@suse.de
- fix bug recognizing mac partitions gt 4 as logical
- add module for disk controller configuration
- add skeleton module for cdrom integration
- version 2.6.17
* Thu Aug 08 2002 - fehr@suse.de
- fix two bugs in raid handling (raid1 setup was broken, handle
  raid type linear sensibly)
* Wed Aug 07 2002 - fehr@suse.de
- fix bugs in lvm config in installed system (#17485, #17486)
- enable LV usage as root filesystem and for swapping
- enable MD usage for swapping
- version 2.6.16
* Tue Aug 06 2002 - fehr@suse.de
- return also other bootable partitions in
  Storage::GetForeignPrimary() (#17458)
- various adaptions for mac support
- call mklabel to initialize partition table if necessary
- add entry "label" for the disk label of each disk
- handle deleting gpt partition tables correct
- version 2.6.15
* Mon Aug 05 2002 - fehr@suse.de
- recognize hfs as filesystem
- only check for partition size when formatting
- use new access for install.inf
- recognize partition types on macintosh partitions
- version 2.6.14
* Mon Aug 05 2002 - fehr@suse.de
- add changes for installation on S390
- version 2.6.13
* Thu Aug 01 2002 - fehr@suse.de
- allow arbitrary number of pathes for md raid
* Thu Aug 01 2002 - fehr@suse.de
- implement autodetection for multipath md devices
- version 2.6.12
* Wed Jul 31 2002 - fehr@suse.de
- fix bug with missing cdrom links in installed system (#17309)
* Wed Jul 31 2002 - fehr@suse.de
- implement md multipath configuration
- version 2.6.11
* Tue Jul 30 2002 - fehr@suse.de
- do not rely on rounding of parted to cylinder boundary it does
  not do this on gpt partition tables
- use parted on all partitions
* Mon Jul 29 2002 - fehr@suse.de
- fix bug in ppc prep partitioning also in target partitioner
- fix bug in partitioning suggestion when boot part is splitted
  from a larger part and no extended part is created
* Mon Jul 29 2002 - fehr@suse.de
- fix bugs in partition proposal on non-i386 architectures
- use partitions texts from Partitions module in expert partitioner
- fix bug in partition suggestion caused by partitions that do not
  end exactly on a cylinder boundary (#17186)
- fix missing fstab entry for root fs on S390 (#17243)
- remove volume name options from format options menue, this is
  now available in fstab options menue
- version 2.6.10
* Thu Jul 25 2002 - fehr@suse.de
- Fix probing for cdroms before writing fstab (#17226)
- add use of partition id information in parted
- do not use fdisk for setting partition id when UseParted is true
* Thu Jul 25 2002 - fehr@suse.de
- fix bugs concerning /boot partition on ia64
- fix bugs using partition suggestion when free space is available
- fix bugs 17186, 14188, 16158
- version 2.6.9
* Wed Jul 24 2002 - fehr@suse.de
- fix bugs in fstab handling in running system
- add handling of general fstab options
- version 2.6.8
* Mon Jul 22 2002 - fehr@suse.de
- patched proofread texts back into ycp files
- version 2.6.7
* Thu Jul 18 2002 - fehr@suse.de
- fix variouse bugs [17070, 17082, 16939, 17069]
- changed fstab handling to not overwrite user supplied fstab lines
  unknown to YaST or to change the fstab order when rewriting fstab
- version 2.6.6
* Mon Jul 15 2002 - fehr@suse.de
- fix namespace lookup
- agent infrastructure changed
- version 2.6.5
* Fri Jul 12 2002 - fehr@suse.de
- add changes to support mounting by uuid and label
- version 2.6.4
* Fri Jul 12 2002 - arvin@suse.de
- use proper namespace for Args and CallFunction (#16776)
* Mon Jul 08 2002 - mvidner@suse.cz
- fixed Provides/Obsoletes
* Thu Jul 04 2002 - fehr@suse.de
- paths to parted and makefs client added to file list
* Thu Jul 04 2002 - fehr@suse.de
- devtools generated invalid specfile, this is now fixed
* Wed Jul 03 2002 - fehr@suse.de
- new version 2.6.3
- fix some bugs during fs resizing
- add fs resizing for LVM LVs
* Thu Jun 27 2002 - fehr@suse.de
- new version 2.6.2
- etc_fstab.scr is not any more in this package (now in yast2)
- adapt to new naming scheme for potfiles
- add lvm config modules
- datafiles now in /usr/lib/YaST2/data
- change path of parted to /usr/sbin/parted
- integration of fdisk and parted under one agent
- integration of arbitrary partition resizer
* Thu Jun 13 2002 - fehr@suse.de
- replace all references to .dumpto.tmp.<filename> that are not
  protected by if(Mode::test) by calls to SaveDumpPath(<filename>)
  because of security considerations
* Thu Jun 06 2002 - kkaempf@suse.de
- Properly remap boot_device if it is a cdrecorder (#16127).
* Tue May 21 2002 - fehr@suse.de
- add missing scr files to packages
- version 2.6.1
* Tue Apr 23 2002 - fehr@suse.de
- initial version
